from flask import Flask, request, render_template

app = Flask(__name__)

@app.route('/')
def hello_world():
	print("Request method is " + request.method)
	return 'Hello, World!'

@app.route('/user/<username>')
def hello_user(username):
	a = 10/0
	return '<h1> Hello, %s! </h1>' %username


@app.route('/query')
def query_args():
	framework = request.args.get('framework')
	return '''<h1> The framework value is: {}</h1>'''.format(framework)

@app.route('/form', methods=['GET', 'POST'])
def my_form():
	if request.method =='POST':

		firstname = request.form.get('firstname')
		lastname = request.form.get('lastname')

		return render_template('form1.html', fname=firstname, lname=lastname)

	return render_template('form2.html')

@app.route('/template')
def template_ex():
    fname = 'Tutorial'
    return render_template('sample_template.html', firstname = fname)

if __name__ == '__main__':
	app.run()